IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Application.JobSeekerSurvey')
BEGIN
	CREATE TABLE [Data.Application.JobSeekerSurvey] 
	(
		Id BIGINT NOT NULL PRIMARY KEY ,
		[SatisfactionLevel] INT NOT NULL DEFAULT 0,
		[UnanticipatedMatches] BIT NOT NULL DEFAULT 0,
		[WasInvitedDidApply] BIT NOT NULL DEFAULT 0,
		[PersonId] BIGINT NOT NULL DEFAULT 0,
		[CreatedOn] DATETIME NOT NULL DEFAULT(GETDATE()),
		
		FOREIGN KEY (PersonId) REFERENCES [Data.Application.Person](Id)
	);
END
GO

IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Application.JobSeekerSurvey' AND COLUMN_NAME = 'CreatedOn')
BEGIN
	ALTER TABLE [Data.Application.JobSeekerSurvey] ADD [CreatedOn] DATETIME NOT NULL DEFAULT(GETDATE())
END
GO